/*******************************************************
 *
 *  File: video.h
 *
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2001, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************/

#ifndef __LL_VIDEO_H
#define __LL_VIDEO_H

void video_setup(unsigned* video_base, int width, int height, int bpp, unsigned fg_colour, unsigned bg_colour);
void video_puts(const char* str);
void video_puts_pos(const char* str, int x, int y);
void video_clear_area(int x, int y, int w, int h);
void video_clear();

#ifdef _DEBUG
	#define VIDEO_WRITE(a, b)	video_write(a, b)
#else
	#define VIDEO_WRITE(a, b) /**/
#endif


#endif			/* __LL_VIDEO_H */

